The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Unassign Attack Filters Assigned to a Domain and an Attack

Prev Next

This URL unassign all the attack filters to the domain for a specific attack.

Resource URL

DELETE /domain/<domain_id>/attackfilter/<attack_id>

Query Parameter: ?direction=

  • INBOUND
  • OUTBOUND

If the direction is not defined, it will throw an error.

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id ID of domain in which the attack filter is created Number Yes
attack_id Attack id to which attack filters are assigned String Yes
direction Direction type can be INBOUND or OUTBOUND String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
Status Status returned by unassignment Number

Example

Request

DELETE https://%3CNSM_IP%3E/sdkapi/domain/0/attackfilter/0x40503900%20?direction=INBOUND

Response

{
"status":1
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 404 1402 Invalid attack id
3 404 1403 Invalid attack direction